/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  procRefPix.h
* Description:  
*
*
* History:      
* 16-Jun-04     (csabet) created
***********************************************************
**********************************************************/
#ifndef _PROC_REF_PIX_H
#define _PROC_REF_PIX_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Global Variables 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void procRefPix (
    MidiFiles	*fileNames,
    int			*error);

void computeRefPix (
	MidiFiles		*fileNames,
    ReferencePixel 	*refPix,
    int				*error);

void computeTargetCentroidsRefPix (
	int				fileNumber,
    ImageFormat     *format,
    float 			*image,
    ReferencePixel 	*refPix,
    int				*error);

void procCentroidsRefPix ( 
	int				fileNumber,
	char			*inFitsName,
    int             extensionNumber,
    ImageFormat     *format,
    ReferencePixel 	*refPix,
    int				*error);

void evaluateBeamPosition (void);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

