/**********************************************************
***********************************************************
*               European Southern Observatory
*          VLTI MIDI Maintenance Templates Software
*
* Module name:  createProdRefPix.h
* Description:  
*
*
* History:      
* 14-Jun-04     (csabet) Created
***********************************************************
**********************************************************/
#ifndef _CREATE_PROD_REF_PIX_H
#define _CREATE_PROD_REF_PIX_H

/**********************************************************
*   Include files
**********************************************************/

/**********************************************************
*   Constant definitions
**********************************************************/

/**********************************************************
*   Enumeration definitions
**********************************************************/

/**********************************************************
*   Type definitions 
**********************************************************/

/**********************************************************
*   Function Prototypes
**********************************************************/
void createRefPixProd (
    MidiFiles   	*fileNames,
    ImageFormat		*format,
    ReferencePixel 	*alignment,
    int				*error);

void createRefPixPrimHead (
    MidiFiles   	*fileNames,
    ImageFormat		*format,
    ReferencePixel	*alignment,
    int				*error);

void createRefPixQcLog (
	char	*inFitsName,
	int		*error);

void addProdInfoToRefPixQcLog (
    ImageFormat		*format,
	MidiFiles		*fileNames,
    ReferencePixel	*alignment,
	int				*error);

/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

