/**********************************************************
***********************************************************
*				European Southern Observatory
*		     VLTI MIDI Data Reduction Software
*
* Module name:	geometry.h
* Description:	
*
*
* History:		
* 14-NOV-03		(csabet) Created
***********************************************************
**********************************************************/
#ifndef _GEOMETRY_H
#define _GEOMETRY_H

/**********************************************************
*	Include files
**********************************************************/
#include "midiLib.h"

/**********************************************************
*	Constant definitions
**********************************************************/

/**********************************************************
*	Type definitions 
**********************************************************/

/**********************************************************
*	Global Variables 
**********************************************************/

/**********************************************************
*	Function Prototypes
**********************************************************/
void computeUVW (
	double	t1x,
    double	t1y,
	double	t1z,
	double	t2x,
    double	t2y,
    double	t2z,
    double	time,
    double	RA,
	double	Dec,
	UVW		*uvw);
	
/*********************************************************/
#endif
/*********************************************************/
/*********************************************************/

